"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoginResponseDto = exports.loginResponseSchema = exports.LoginDto = exports.loginSchema = void 0;
const account_dto_1 = require("../../account/dto/account.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
exports.loginSchema = account_dto_1.accountSchema.pick({
    username: true,
    password: true,
});
class LoginDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.loginSchema) {
}
exports.LoginDto = LoginDto;
exports.loginResponseSchema = zod_1.default.object({
    user: account_dto_1.accountSchema.omit({
        password: true,
    }),
    backendTokens: zod_1.default.object({
        accessToken: zod_1.default.string(),
        refreshToken: zod_1.default.string(),
        expiresIn: zod_1.default.number(),
    }),
});
class LoginResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.loginResponseSchema) {
}
exports.LoginResponseDto = LoginResponseDto;
//# sourceMappingURL=login.dto.js.map