export interface paths {
    "/auth/login": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AuthController_loginUser"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/auth/refresh": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AuthController_refreshToken"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findAll"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/find-by-group/{groupId}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findByGroup"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findById"];
        put?: never;
        post?: never;
        delete: operations["TagController_remove"];
        options?: never;
        head?: never;
        patch: operations["TagController_update"];
        trace?: never;
    };
    "/tag/massive-allocation": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagController_massiveAllocation"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/massive-deallocation": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagController_massiveDeallocation"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/account/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AccountController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/account/global-filter": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["AccountController_getGlobalFilter"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch: operations["AccountController_updateGlobalFilter"];
        trace?: never;
    };
    "/account/me": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["AccountController_getMe"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagGroupController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagGroupController_findAll"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/all-with-tags": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagGroupController_findAllWithTags"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagGroupController_findById"];
        put?: never;
        post?: never;
        delete: operations["TagGroupController_delete"];
        options?: never;
        head?: never;
        patch: operations["TagGroupController_update"];
        trace?: never;
    };
    "/comment/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["CommentController_createComment"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/comment/get-by-profile/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["CommentController_getCommentsByProfileId"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/comment/toggle-solve/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch: operations["CommentController_toggleSolveComment"];
        trace?: never;
    };
    "/location/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findAll"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/location/arg-states": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findArgStates"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/location/find-cities-by-arg-state/{argState}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findCitiesByArgState"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/location/all-countries": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findAllCountries"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/location/states-by-country/{countryCode}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["LocationController_findStatesByCountry"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/canned-response/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["CannedResponseController_createCannedResponse"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/canned-response/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["CannedResponseController_getAllCannedResponses"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/canned-response/update/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch: operations["CannedResponseController_updateCannedResponse"];
        trace?: never;
    };
    "/canned-response/delete/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post?: never;
        delete: operations["CannedResponseController_deleteCannedResponse"];
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/event-folder/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["EventFolderController_createEventFolder"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/event-folder/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["EventFolderController_getAllEventFolders"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/event-folder/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["EventFolderController_getEventFolderById"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/event-folder/update/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch: operations["EventFolderController_updateEventFolder"];
        trace?: never;
    };
    "/event-folder/delete/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post?: never;
        delete: operations["EventFolderController_deleteEventFolder"];
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/profile/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["ProfileController_findAll"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/profile/find-by-tags": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["ProfileController_findByTag"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/profile/find-by-tag-groups": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["ProfileController_findByTagGroups"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/profile/find-by-date-range": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["ProfileController_findByDateRange"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/profile/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["ProfileController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/profile/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["ProfileController_findById"];
        put?: never;
        post?: never;
        delete: operations["ProfileController_delete"];
        options?: never;
        head?: never;
        patch: operations["ProfileController_update"];
        trace?: never;
    };
}
export type webhooks = Record<string, never>;
export interface components {
    schemas: {
        LoginDto: {
            username: string;
            password: string;
        };
        LoginResponseDto: {
            user: {
                id: string;
                username: string;
                role: "USER" | "ADMIN" | "FORM";
                isGlobalFilterActive: boolean;
                fcmToken: string[];
                created_at: string;
                updated_at: string;
            };
            backendTokens: {
                accessToken: string;
                refreshToken: string;
                expiresIn: number;
            };
        };
        ErrorDto: {
            message: string[];
            statusCode: number;
            error: string;
        };
        RefreshResponseDto: {
            refreshToken: string;
            accessToken: string;
            expiresIn: number;
        };
        CreateTagDto: {
            name: string;
            groupId: string;
        };
        CreateTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        };
        FindAllTagResponseDto: {
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
                group: {
                    id: string;
                    name: string;
                    color: string;
                    isExclusive: boolean;
                    created_at: string;
                    updated_at: string;
                };
            }[];
        };
        FindByGroupTagResponseDto: {
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
                group: {
                    id: string;
                    name: string;
                    color: string;
                    isExclusive: boolean;
                    created_at: string;
                    updated_at: string;
                };
            }[];
        };
        FindOneTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
            group: {
                id: string;
                name: string;
                color: string;
                isExclusive: boolean;
                created_at: string;
                updated_at: string;
            };
        };
        UpdateTagDto: {
            name: string;
            groupId: string;
        };
        UpdateTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
        };
        DeleteTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
        };
        MassiveAllocationDto: {
            tagIds: string[];
            profileIds: string[];
        };
        MassiveAllocationResponseDto: {
            profiles: {
                id: string;
                shortId: number;
                phoneNumber: string;
                secondaryPhoneNumber: null;
                fullName: string;
                firstName: null;
                gender: null;
                birthDate: null;
                profilePictureUrl: null;
                instagram: null;
                mail: null;
                dni: null;
                alternativeNames: string[];
                birthLocationId: null;
                residenceLocationId: null;
                isInTrash: boolean;
                movedToTrashDate: null;
                created_at: string;
                updated_at: string;
            }[];
        };
        MassiveDeallocationDto: {
            tagIds: string[];
            profileIds: string[];
        };
        MassiveDeallocationResponseDto: {
            profiles: {
                id: string;
                shortId: number;
                phoneNumber: string;
                secondaryPhoneNumber: null;
                fullName: string;
                firstName: null;
                gender: null;
                birthDate: null;
                profilePictureUrl: null;
                instagram: null;
                mail: null;
                dni: null;
                alternativeNames: string[];
                birthLocationId: null;
                residenceLocationId: null;
                isInTrash: boolean;
                movedToTrashDate: null;
                created_at: string;
                updated_at: string;
            }[];
        };
        CreateAccountDto: {
            username: string;
            password: string;
            role: "USER" | "ADMIN" | "FORM";
        };
        CreateAccountResponseDto: {
            id: string;
            username: string;
            role: "USER" | "ADMIN" | "FORM";
            isGlobalFilterActive: boolean;
            fcmToken: string[];
        };
        UpdateGlobalFilterDto: {
            active: boolean;
            tagsIds: string[];
        };
        UpdateGlobalFilterResponseDto: {
            id: string;
            username: string;
            password: string;
            role: "USER" | "ADMIN" | "FORM";
            isGlobalFilterActive: boolean;
            fcmToken: string[];
            created_at: string;
            updated_at: string;
            globalFilter: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
            }[];
        };
        GetGlobalFilterResponseDto: {
            isGlobalFilterActive: boolean;
            globalFilter: {
                id: string;
                name: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                group: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }[];
        };
        GetMeResponseDto: {
            id: string;
            username: string;
            role: "USER" | "ADMIN" | "FORM";
            isGlobalFilterActive: boolean;
            fcmToken: string[];
            created_at: string;
            updated_at: string;
            globalFilter: {
                id: string;
                name: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                group: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }[];
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
            }[];
        };
        CreateTagGroupDto: {
            color: string;
            name: string;
            isExclusive: boolean;
        };
        CreateTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
        };
        FindAllTagGroupResponseDto: {
            tagGroups: {
                id: string;
                name: string;
                color: string;
                isExclusive: boolean;
                created_at: string;
                updated_at: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                }[];
            }[];
        };
        FindAllWithTagsResponseDto: {
            groups: {
                id: string;
                name: string;
                isExclusive: boolean;
                color: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                    _count: {
                        profiles: number;
                    };
                }[];
                _count: {
                    tags: number;
                };
            }[];
        };
        FindOneTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
            }[];
        };
        UpdateTagGroupDto: {
            name: string;
            color: string;
            isExclusive: boolean;
        };
        UpdateTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
        };
        DeleteTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
        };
        CreateCommentDto: {
            content: string;
            profileId: string;
            isSolvable: boolean;
        };
        CreateCommentResponseDto: {
            id: string;
            content: string;
            createdBy: string;
            profileId: string;
            isSolvable: boolean;
            isSolved: boolean;
            solvedAt: null;
            solvedBy?: string;
            created_at: string;
            updated_at: string;
        };
        GetByProfileCommentResponseDto: {
            comments: {
                id: string;
                content: string;
                createdBy: string;
                profileId: string;
                isSolvable: boolean;
                isSolved: boolean;
                solvedAt: null;
                solvedBy?: string;
                created_at: string;
                updated_at: string;
                account: {
                    username: string;
                };
            }[];
        };
        ToggleSolveCommentResponseDto: {
            id: string;
            content: string;
            createdBy: string;
            profileId: string;
            isSolvable: boolean;
            isSolved: boolean;
            solvedAt: null;
            solvedBy?: string;
            created_at: string;
            updated_at: string;
        };
        FindAllLocationResponseDto: {
            birthLocations: {
                city: string;
                longitude: number;
                latitude: number;
                _count: {
                    birthProfiles: number;
                };
            }[];
            residenceLocations: {
                city: string;
                longitude: number;
                latitude: number;
                _count: {
                    residenceProfiles: number;
                };
            }[];
        };
        FindArgStatesResponseDto: {
            states: string[];
        };
        FindCitiesByArgStateResponseDto: {
            cities: {
                id: string;
                name: string;
                centroid: {
                    lon: number;
                    lat: number;
                };
            }[];
        };
        FindAllCountriesResponseDto: {
            countries: {
                name: string;
                isoCode: string;
            }[];
        };
        FindAllStatesByCountryResponseDto: {
            states: {
                name: string;
                isoCode: string;
                countryCode: string;
                countryName: string;
                latitude?: null;
                longitude?: null;
            }[];
        };
        CreateCannedResponseDto: {
            name: string;
            content: string;
        };
        CreateCannedResponseResponseDto: {
            id: string;
            name: string;
            content: string;
            created_at: string;
            updated_at: string;
        };
        GetAllCannedResponseResponseDto: {
            cannedResponses: {
                id: string;
                name: string;
                content: string;
                created_at: string;
                updated_at: string;
            }[];
        };
        UpdateCannedResponseDto: {
            name: string;
            content: string;
        };
        UpdateCannedResponseResponseDto: {
            id: string;
            name: string;
            content: string;
            created_at: string;
            updated_at: string;
        };
        DeleteCannedResponseResponseDto: {
            id: string;
            name: string;
            content: string;
            created_at: string;
            updated_at: string;
        };
        CreateEventFolderDto: {
            name: string;
            color: string;
        };
        CreateEventFolderResponseDto: {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
        };
        GetAllEventFolderResponseDto: {
            eventFolders: {
                id: string;
                name: string;
                color: string;
                created_at: string;
                updated_at: string;
                events: {
                    id: string;
                    name: string;
                    date: string;
                    location: string;
                    folderId: null;
                    tagAssistedId: string;
                    tagConfirmedId: string;
                    supraEventId: null;
                    created_at: string;
                    updated_at: string;
                }[];
            }[];
        };
        GetByIdEventFolderResponseDto: {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
            events: {
                id: string;
                name: string;
                date: string;
                location: string;
                folderId: null;
                tagAssistedId: string;
                tagConfirmedId: string;
                supraEventId: null;
                created_at: string;
                updated_at: string;
            }[];
        };
        UpdateEventFolderDto: {
            name: string;
            color: string;
        };
        UpdateEventFolderResponseDto: {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
        };
        DeleteEventFolderResponseDto: {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
        };
        FindAllProfileResponseDto: {
            profiles: {
                id: string;
                shortId: number;
                phoneNumber: string;
                secondaryPhoneNumber: null;
                fullName: string;
                firstName: null;
                gender: null;
                birthDate: null;
                profilePictureUrl: null;
                instagram: null;
                mail: null;
                dni: null;
                alternativeNames: string[];
                birthLocationId: null;
                residenceLocationId: null;
                isInTrash: boolean;
                movedToTrashDate: null;
                created_at: string;
                updated_at: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                    group: {
                        color: string;
                        isExclusive: boolean;
                    };
                }[];
            }[];
        };
        FindByTagsProfileResponseDto: {
            profiles: {
                id: string;
                shortId: number;
                phoneNumber: string;
                secondaryPhoneNumber: null;
                fullName: string;
                firstName: null;
                gender: null;
                birthDate: null;
                profilePictureUrl: null;
                instagram: null;
                mail: null;
                dni: null;
                alternativeNames: string[];
                birthLocationId: null;
                residenceLocationId: null;
                isInTrash: boolean;
                movedToTrashDate: null;
                created_at: string;
                updated_at: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                    group: {
                        isExclusive: boolean;
                    };
                }[];
            }[];
        };
        FindByTagGroupsProfileResponseDto: {
            profiles: {
                id: string;
                shortId: number;
                phoneNumber: string;
                secondaryPhoneNumber: null;
                fullName: string;
                firstName: null;
                gender: null;
                birthDate: null;
                profilePictureUrl: null;
                instagram: null;
                mail: null;
                dni: null;
                alternativeNames: string[];
                birthLocationId: null;
                residenceLocationId: null;
                isInTrash: boolean;
                movedToTrashDate: null;
                created_at: string;
                updated_at: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                }[];
            }[];
        };
        FindByDateRangeResponseDto: {
            [key: string]: {
                id: string;
                shortId: number;
                phoneNumber: string;
                secondaryPhoneNumber: null;
                fullName: string;
                firstName: null;
                gender: null;
                birthDate: null;
                profilePictureUrl: null;
                instagram: null;
                mail: null;
                dni: null;
                alternativeNames: string[];
                birthLocationId: null;
                residenceLocationId: null;
                isInTrash: boolean;
                movedToTrashDate: null;
                created_at: string;
                updated_at: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                    group: {
                        id: string;
                    };
                }[];
            }[] | undefined;
        };
        CreateProfileDto: {
            profile: {
                alternativeNames: string[];
                birthDate: null;
                dni: null;
                fullName: string;
                gender: null;
                instagram: null;
                mail: null;
                phoneNumber: string;
                profilePictureUrl: null;
                secondaryPhoneNumber: null;
                comments?: {
                    content: string;
                    isSolvable: boolean;
                }[];
                residence?: {
                    city: string;
                    country: string;
                    latitude: number;
                    longitude: number;
                    state: string;
                };
                birth?: {
                    city: string;
                    country: string;
                    latitude: number;
                    longitude: number;
                    state: string;
                };
                tags?: string[];
            };
            checkForSimilarity?: boolean;
        };
        CreateProfileResponseDto: {
            response: {
                type: "similar";
                similarProfiles: {
                    profile: {
                        fullName: string;
                        phoneNumber: string;
                        id: string;
                    };
                    similarityPhoneNumberPercentage: number;
                    similarityFullNamePercentage: number;
                }[];
            } | {
                type: "created";
                id: string;
            };
        };
        FindByIdProfileResponseDto: {
            id: string;
            shortId: number;
            phoneNumber: string;
            secondaryPhoneNumber: null;
            fullName: string;
            firstName: null;
            gender: null;
            birthDate: null;
            profilePictureUrl: null;
            instagram: null;
            mail: null;
            dni: null;
            alternativeNames: string[];
            birthLocationId: null;
            residenceLocationId: null;
            isInTrash: boolean;
            movedToTrashDate: null;
            created_at: string;
            updated_at: string;
            residenceLocation: null;
            birthLocation: null;
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
                group: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }[];
        };
        DeleteProfileResponseDto: {
            id: string;
            shortId: number;
            phoneNumber: string;
            secondaryPhoneNumber: null;
            fullName: string;
            firstName: null;
            gender: null;
            birthDate: null;
            profilePictureUrl: null;
            instagram: null;
            mail: null;
            dni: null;
            alternativeNames: string[];
            birthLocationId: null;
            residenceLocationId: null;
            isInTrash: boolean;
            movedToTrashDate: null;
            created_at: string;
            updated_at: string;
        };
        UpdateProfileDto: {
            alternativeNames: string[];
            birthDate: null;
            dni: null;
            fullName: string;
            gender: null;
            instagram: null;
            mail: null;
            phoneNumber: string;
            profilePictureUrl: null;
            secondaryPhoneNumber: null;
            isInTrash: boolean;
            movedToTrashDate: null;
            residence?: {
                city: string;
                country: string;
                latitude: number;
                longitude: number;
                state: string;
            };
            birth?: {
                city: string;
                country: string;
                latitude: number;
                longitude: number;
                state: string;
            };
            tags?: string[];
        };
    };
    responses: never;
    parameters: never;
    requestBodies: never;
    headers: never;
    pathItems: never;
}
export type $defs = Record<string, never>;
export interface operations {
    AuthController_loginUser: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["LoginDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["LoginResponseDto"];
                };
            };
            401: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    AuthController_refreshToken: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["RefreshResponseDto"];
                };
            };
        };
    };
    TagController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateTagDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateTagResponseDto"];
                };
            };
        };
    };
    TagController_findAll: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllTagResponseDto"];
                };
            };
        };
    };
    TagController_findByGroup: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                groupId: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindByGroupTagResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagController_findById: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindOneTagResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagController_remove: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
            410: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["DeleteTagResponseDto"];
                };
            };
        };
    };
    TagController_update: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateTagDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateTagResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagController_massiveAllocation: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["MassiveAllocationDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["MassiveAllocationResponseDto"];
                };
            };
        };
    };
    TagController_massiveDeallocation: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["MassiveDeallocationDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["MassiveDeallocationResponseDto"];
                };
            };
        };
    };
    AccountController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateAccountDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateAccountResponseDto"];
                };
            };
        };
    };
    AccountController_getGlobalFilter: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetGlobalFilterResponseDto"];
                };
            };
        };
    };
    AccountController_updateGlobalFilter: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateGlobalFilterDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateGlobalFilterResponseDto"];
                };
            };
        };
    };
    AccountController_getMe: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetMeResponseDto"];
                };
            };
        };
    };
    TagGroupController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateTagGroupDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateTagGroupResponseDto"];
                };
            };
        };
    };
    TagGroupController_findAll: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllTagGroupResponseDto"];
                };
            };
        };
    };
    TagGroupController_findAllWithTags: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllWithTagsResponseDto"];
                };
            };
        };
    };
    TagGroupController_findById: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindOneTagGroupResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagGroupController_delete: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["DeleteTagGroupResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    TagGroupController_update: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateTagGroupDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateTagGroupResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    CommentController_createComment: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateCommentDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateCommentResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    CommentController_getCommentsByProfileId: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetByProfileCommentResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    CommentController_toggleSolveComment: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ToggleSolveCommentResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
            409: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    LocationController_findAll: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllLocationResponseDto"];
                };
            };
        };
    };
    LocationController_findArgStates: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindArgStatesResponseDto"];
                };
            };
        };
    };
    LocationController_findCitiesByArgState: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                argState: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindCitiesByArgStateResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    LocationController_findAllCountries: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllCountriesResponseDto"];
                };
            };
        };
    };
    LocationController_findStatesByCountry: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                countryCode: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllStatesByCountryResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    CannedResponseController_createCannedResponse: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateCannedResponseDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateCannedResponseResponseDto"];
                };
            };
            409: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    CannedResponseController_getAllCannedResponses: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetAllCannedResponseResponseDto"];
                };
            };
        };
    };
    CannedResponseController_updateCannedResponse: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateCannedResponseDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateCannedResponseResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    CannedResponseController_deleteCannedResponse: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["DeleteCannedResponseResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    EventFolderController_createEventFolder: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateEventFolderDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateEventFolderResponseDto"];
                };
            };
            409: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    EventFolderController_getAllEventFolders: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetAllEventFolderResponseDto"];
                };
            };
        };
    };
    EventFolderController_getEventFolderById: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetByIdEventFolderResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    EventFolderController_updateEventFolder: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateEventFolderDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateEventFolderResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    EventFolderController_deleteEventFolder: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["DeleteEventFolderResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    ProfileController_findAll: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllProfileResponseDto"];
                };
            };
        };
    };
    ProfileController_findByTag: {
        parameters: {
            query: {
                tags: string[];
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindByTagsProfileResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    ProfileController_findByTagGroups: {
        parameters: {
            query: {
                tagGroups: string[];
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindByTagGroupsProfileResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    ProfileController_findByDateRange: {
        parameters: {
            query: {
                from: string;
                to: string;
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindByDateRangeResponseDto"];
                };
            };
            412: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    ProfileController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateProfileDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateProfileResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
            409: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    ProfileController_findById: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindByIdProfileResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    ProfileController_delete: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["DeleteProfileResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
    ProfileController_update: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateProfileDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateProfileDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
            409: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ErrorDto"];
                };
            };
        };
    };
}
